Package net.sourceforge.jiu.codecs

# Class UnsupportedTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.sourceforge.jiu.ops.OperationFailedException
net.sourceforge.jiu.codecs.UnsupportedTypeException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedTypeException extends OperationFailedException
This exception is thrown during image loading. If a codec recognizes the file format but does not support the exact subtype it encounters (the compression type is unknown or the color depth unsupported), an instance of this exception class is created.

If the format is not recognized at all, a `WrongFileFormatException` should be thrown.

If there were errors during loading because of file corruption, an `InvalidFileStructureException` must be thrown.

Author:
  Marco Schmidt
See Also:
  - `InvalidFileStructureException`
  - `WrongFileFormatException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedTypeException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedTypeException

public UnsupportedTypeException(String message)